Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model.xml
Class AbstractJaxbTaskObject<T>

    java.lang.Object
      org.jbpm.services.task.impl.model.xml.AbstractJaxbTaskObject<T>

Direct Known Subclasses:
  JaxbAttachment, JaxbComment, JaxbContent, JaxbPeopleAssignments, JaxbTaskData

    public class AbstractJaxbTaskObject<T>

extends Object

Field Summary
`protected Class<?>` | `realClass`

Constructor Summary
`AbstractJaxbTaskObject()`
`AbstractJaxbTaskObject(Class<?> realClass)`
`AbstractJaxbTaskObject(T taskObject, Class objectInterface)`

Method Summary
`void` | `readExternal(ObjectInput arg0)`
`void` | `writeExternal(ObjectOutput arg0)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### realClass

    protected Class<?> realClass

Constructor Detail

### AbstractJaxbTaskObject

    public AbstractJaxbTaskObject()

### AbstractJaxbTaskObject

    public AbstractJaxbTaskObject(Class<?> realClass)

### AbstractJaxbTaskObject

    public AbstractJaxbTaskObject(T taskObject,
                                  Class objectInterface)

Method Detail

### readExternal

    public void readExternal(ObjectInput arg0)
                      throws IOException,
                             ClassNotFoundException

  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput arg0)
                       throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.